package com.logicbig.example;

import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

@Service
@CacheConfig(cacheNames = "employee-cache")
public class EmployeeService {

    @Cacheable
    public Employee getEmployeeById(int id) {
        System.out.println("getEmployeeById() invoked");
        //just returning test employee
        return new Employee(id, "Adam", "IT");
    }

    @Cacheable
    public Employee getEmployeeByName(String name) {
        System.out.println("getEmployeeByName() invoked");
        //just returning test employee
        return new Employee(20, name, "Admin");
    }
}